package com.hz.pm.api.projectlib.controller;

import com.hz.pm.api.projectlib.manage.MhSystemReplaceManage;
import com.hz.pm.api.projectlib.model.dto.MhSystemReplaceInfoVO;
import com.hz.pm.api.projectlib.model.req.MhSystemReplaceReq;
import com.ningdatech.basic.model.PageVo;
import com.ningdatech.log.annotation.WebLog;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * MhSystemReplaceController
 * </p>
 *
 * @author WendyYang
 * @since 15:10 2024/8/16
 */
@Api(tags = "系统替代情况底账")
@RestController
@RequiredArgsConstructor
@RequestMapping("/api/v1/mh/systemReplace")
public class MhSystemReplaceController {

    private final MhSystemReplaceManage mhSystemReplaceManage;

    @GetMapping("/page")
    @ApiOperation("列表查询")
    public PageVo<MhSystemReplaceInfoVO> page(MhSystemReplaceReq req) {
        return mhSystemReplaceManage.page(req);
    }

    @GetMapping("/sync")
    @ApiOperation("同步系统改造计划数据")
    @WebLog("同步系统改造计划数据")
    @PreAuthorize("hasAuthority('SUPER_ADMIN')")
    public void syncMhSystemReplaceInfo() {
        mhSystemReplaceManage.syncMhSystemReplaceInfo();
    }

}
